Subject: bug#36454: 26.2.90; feature request - Insert char by hex tab completion or C-x 8 RET ffe <TAB>

From: Drew Adams <[email-masked]>
Date: Fri, 19 Jul 2019 15:30:41 +0000 (UTC)

> Since this feature is proposed for core Emacs, we are by definition
> talking about "emacs -Q", not about Ivy or Helm.  The latter have
> infrastructure on which to build the feature you want without any
> changes in core.

Core Emacs could have such behavior.

It's not about what I want for my own use (I use
Icicles, which provides all of that and more).

We're discussing what vanilla Emacs could do.
This bug thread is a "feature request", and one
specifically to "insert char by hex tab completion...".

> > > it can be used for that, but with very low efficiency and user-
> friendliness.
> >
> > That's too big a generalization to be helpful in this
> > discussion.
> 
> Generalizations are sometimes useful tools for making decisions and
> getting one's point across.

Another generalization not helpful in this context.
Even a platitude, with which few would disagree.

If you really want to make the point that completion
implies "very low efficiency and user-friendliness",
and you think that belongs in this discussion then I
suggest some evidence and specifics would help your
argument.

As only an opinion stated in such general terms I
don't find it useful in the present context; sorry.

> > > So we should not judge the need for completion by considering any
> > > use cases other than just completion, i.e. finding a specific character
> > > or a small group of related characters.
> >
> > Need?  How about value and usefulness?
> 
> Indeed, I think it would be useless, even harmful.

A good place to end.